System

Claim the fresh Postdot instance and optionally mint an initial API key

POST
/api/instance/bootstrap

Request Body

  1. body
name*string
Length1 <= length <= 200
email*string
Length1 <= length <= 320
password*string
Length8 <= length <= 128
apiKey?

Response Body

Response for status 201

application/json
  1. response
user*
instance*
apiKey?
Example Request
curl -X POST 'https://postdot.example/api/instance/bootstrap' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "email": "string",
  "password": "stringst"
}'
Example Response
{
  "user": {
    "id": "string",
    "name": "string",
    "email": "string",
    "role": "admin"
  },
  "instance": {
    "state": "claimed",
    "claimedByUserId": "string",
    "claimedAt": 0
  },
  "apiKey": {
    "key": {
      "id": "string",
      "name": "string",
      "tokenPrefix": "string",
      "projectAccess": "all",
      "actionAccess": "all",
      "expiresAt": 0,
      "createdAt": 0,
      "updatedAt": 0
    },
    "token": "string"
  }
}

Was this page helpful?